Subject: Re: draft-ietf-ldapext-ldap-c-api-03 & timeout

From: "Ed Reed" <[email-masked]>
Date: Tue, 28 Sep 1999 18:32:51 -0600

No - merely voicing a conjecture.  These are the sorts of issues that developers
need to have some degree of comminality across SDKs, but which don't make
sense to nail down in a place like the IETF which is protocol-focused.  Perhaps
this is a good example of what we've been saying, that there's a need for something,
like the DIF, to help fill the gap.  I look forward to seeing a proposal from someone ;-)

Ed

=================
Ed Reed
Reed-Matthews, Inc.
+1 801 785 0315
http://www.OnCallDBA.COM

>>> Chuck Boatwright <[email-masked]> 09/28/99 02:18PM >>>
Ed Reed wrote:
> 
> Such higher level APIs are candidates for development in the
> Directory Interoperability Forum SDK group, would you agree?
> 
> Ed
> 

Maybe so, but I haven't seen a draft for what services this SDK would
provide.  Has a list of possible features been posted?  -- did I miss
it?

The reason for keeping the timeout mechanism simple, is to eliminate
some of the nasty complexities of managing the timeout.  A similar
argument can be made for connection pooling.  I am in favor of keeping
the timeout mechanism simple, as the draft specifies, though that
doesn't mean that my opinion can't be swayed.

-ch

---------------------------------------------------------------
Netscape isn't responsible for content, grammar or spelling